package com.base.scanqrclear.bean

import com.base.scanqrclear.bean.FunctionUIBean.Companion.KEY_INSTAGRAM

data class InstagramUIBean(
    val url: String? = null,
    val id: String? = null
) : ScanBean(KEY_INSTAGRAM) {

    companion object {

        //   instagram://user?username=www.baidu.com
        fun InstagramUIBean.createInstagramUrlQrString(): String {
            return "instagram://user?username=$url"
        }


        //    instagram://user?username=123456
        fun InstagramUIBean.createInstagramIdQrString(): String {
            return "instagram://user?username=$id"
        }

    }
}